- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# SecondaryShootCommand Class Reference

`#include <Command.h>`

Inheritance diagram for SecondaryShootCommand:

List of all members.

## Public Member Functions
| SecondaryShootCommand (Player *player)
| SecondaryShootCommand (List *command)
void | execute ()
std::string | getString ()
## Static Public Member Functions
static std::string | id ()
## Private Attributes
Player * | _player
## Static Private Attributes
static const std::string | _id = "secondaryShoot"

## Detailed Description

Definition at line 207 of file Command.h.

## Constructor & Destructor Documentation

SecondaryShootCommand::SecondaryShootCommand | ( | Player * | player | ) |

| Definition at line 13 of file SecondaryShootCommand.cpp.

SecondaryShootCommand::SecondaryShootCommand | ( | List * | command | ) |

| Definition at line 18 of file SecondaryShootCommand.cpp. References _player, List::firstString(), Level::getObject(), Level::instance(), and List::rest().

## Member Function Documentation

void SecondaryShootCommand::execute | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 24 of file SecondaryShootCommand.cpp. References _player, and Player::shootSecondary().

std::string SecondaryShootCommand::getString | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 29 of file SecondaryShootCommand.cpp. References _id, _player, List::getString(), Object::id(), and List::snoc().

static std::string SecondaryShootCommand::id | ( |  | ) | `[inline, static]`

| Definition at line 215 of file Command.h. References _id. Referenced by Command::loadCommand().

## Member Data Documentation

const std::string SecondaryShootCommand::_id = "secondaryShoot"`[static, private]`

| Definition at line 218 of file Command.h. Referenced by getString(), and id().

Player* SecondaryShootCommand::_player`[private]`

| Definition at line 217 of file Command.h. Referenced by execute(), getString(), and SecondaryShootCommand().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Command.h
- C:/Documents and Settings/jegan/Desktop/projectX/SecondaryShootCommand.cpp